Exportar una aplicación como archivo zip

OBTENER /groups/{groupId}/apps/{appId}/export

The Export Endpoint is deprecated. Instead, call the Pull App Configuration Files endpoint with an Accept: application/zip header.

Export an application as a zip file.

Parámetros de path

Parámetros de query

  • implementación string

    The _id of a specific deployment to export. If not specified, export the latest deployment.

  • source_control booleano

    Si true, el directorio exportado es adecuado para la implementación automática desde GitHub u otro control de versiones.

    Cannot be used with the template query parameter.

    El valor por defecto es false.

  • template booleano

    If true, the exported directory does not include any identifiers or other data that would tie the app to a specific deployment instance.

    Cannot be used with the source_control query parameter.

    El valor por defecto es false.

  • Versión string

    The configuration file schema version to export. This value corresponds to config_version in root_config.json.

Respuestas

  • 200

    The application was successfully exported.

GET /groups/{groupId}/apps/{appId}/export
curl \
 --request GET 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/export' \
 --header "Authorization: Bearer $ACCESS_TOKEN"